#### PyKDE - Python Bindings for KDE

# class KZoneAllocator |
Table of contents
Modules
kdecore Classes
All Classes

Module | kdecore
Class | KZoneAllocator
Inherits |

### methods

- KZoneAllocator (_blockSize = 131072)

  returns a KZoneAllocator instance
  Argument | Type | Default
  --- | --- | ---
  _blockSize | long | 131072

- addBlock (b)

  Not Implemented

- allocate (_size)

  returns (void)
  Argument | Type | Default
  --- | --- | ---
  _size | size_t |

- deallocate (ptr)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  ptr | void |

- delBlock (b)

  Not Implemented

- free_since (ptr)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  ptr | void |

- initHash ()

  returns nothing

- insertHash (b)

  Not Implemented